Bug 1012922 - firefox-23.0.1-5.fc19 close unexpectedly when open/close multiple times in gnome environment [NEEDINFO]
firefox-23.0.1-5.fc19 close unexpectedly when open/close multiple times in gn...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
19
s390x All
unspecified Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 07:42 EDT by IBM Bug Proxy
Modified: 2015-01-21 08:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 08:19:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
stransky: needinfo? (bugproxy)


Attachments (Terms of Use)
This is the error message displayed on vnc server (1.02 MB, image/png)
2013-09-27 07:43 EDT, IBM Bug Proxy
no flags Details
firefox strace (1.05 MB, application/octet-stream)
2013-09-27 07:43 EDT, IBM Bug Proxy
no flags Details
crash_bt file (71.53 KB, text/plain)
2014-01-07 04:52 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 98007 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-09-27 07:42:26 EDT
Problem Description
------------------------------------
     System is installed with fedora 19 and have the following firefox version installed : 

Installed Packages
firefox.s390x                      23.0.1-5.fc19                       installed

When I try to open and close the firefox-23 in a loop of 10 times it close unexpectedly. 

 # uname -a
Linux r3515055.boeblingen.de.ibm.com 3.9.4-301.fc19.s390x #1 SMP Thu Jun 6 15:59:41 EDT 2013 s390x s390x s390x GNU/Linux

# cat /etc/redhat-release
Fedora release 19 (Schr??dinger?s Cat)

- install fedora 19 
- start vnc server with gnome environment
- start firefox and close it in a loop for atleast 10 times

Attaching the snapshot for same.

== Comment: #1 - NITIN GARG <nitgarg8@in.ibm.com> -  ==
I have observed one more thing if I try to open and close libreoffice instance multiple times I see it doesn't close unexpectedly but out of 10 times in a loop it try to open and close only 3-4 times. It might be that the open and close it very slow when run multiple times.

== Comment: #2 - NITIN GARG <nitgarg8@in.ibm.com> - ==
(In reply to comment #2)
> Hi Nitin, 
> 
> Can you please attach the output of 'strace firefox' and output of 'top'
> when you are in the loop of open-closing firefox ?
> 
> Thanks.

Hi Vaishnavi, 

      Please find the attached strace outout for firefox and top output : 

top - 10:14:08 up 4 min,  2 users,  load average: 0.46, 0.23, 0.10
Tasks: 131 total,   1 running, 129 sleeping,   0 stopped,   1 zombie
%Cpu(s): 65.1 us,  1.2 sy,  0.2 ni, 33.4 id,  0.0 wa,  0.0 hi,  0.2 si,  0.0 st
KiB Mem:   6153448 total,  1332316 used,  4821132 free,    60476 buffers
KiB Swap:  6176780 total,        0 used,  6176780 free,   766536 cached

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU  %MEM     TIME+ COMMAND
 1367 root      20   0 1099576 170440  40592 S 121.1 2.770   0:40.88 gnome-shell
 1777 root      20   0 1108628  55708  30424 S 7.986 0.905   0:00.24 firefox
 1129 root      20   0  117144  55520   7964 S 1.664 0.902   0:00.92 Xvnc
 1433 root      20   0  642356  47384  29948 S 0.333 0.770   0:00.57 gnome-initial-s
 1732 root      20   0  107248   1596   1160 R 0.333 0.026   0:00.02 top
    1 root      20   0   10344   7388   2452 S 0.000 0.120   0:00.64 systemd
    2 root      20   0       0      0      0 S 0.000 0.000   0:00.00 kthreadd
    3 root      20   0       0      0      0 S 0.000 0.000   0:00.01 ksoftirqd/0

Thanks
Nitin
Comment 1 IBM Bug Proxy 2013-09-27 07:43:07 EDT
Created attachment 803922 [details]
This is the error message displayed on vnc server
Comment 2 IBM Bug Proxy 2013-09-27 07:43:26 EDT
Created attachment 803923 [details]
firefox strace
Comment 3 Martin Stransky 2013-10-11 16:22:23 EDT
Can you take backtrace of the crash? How-to is here: http://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products
Comment 4 IBM Bug Proxy 2014-01-07 04:52:57 EST
Created attachment 846545 [details]
crash_bt file


------- Comment (attachment only) From nitgarg8@in.ibm.com 2014-01-07 09:45 EDT-------
Comment 5 Fedora End Of Life 2015-01-09 15:00:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Martin Stransky 2015-01-21 08:19:39 EST
Hhh, I don't see any crash related data in the attached backtrace. Please reopen you still see the bug and try to catch another one.

Note You need to log in before you can comment on or make changes to this bug.